/*
 * Click nbfs://nbhost/SystemFileSystem/Templates/Licenses/license-default.txt to change this license
 */
package com.jcg.floatlisttoprimitivearray;

import java.util.ArrayList;
import org.eclipse.collections.api.factory.primitive.FloatLists;
import org.eclipse.collections.api.list.primitive.MutableFloatList;
import org.eclipse.collections.impl.collector.Collectors2;

/**
 *
 * @author omozegieaziegbe
 */
public class FloatListToPrimitiveArray {

    public static void main(String[] args) {
        // Initialize ArrayList with some values
        ArrayList<Float> floatList = new ArrayList<>();
        floatList.add(1.1f);
        floatList.add(2.2f);
        floatList.add(3.3f);

        // Convert ArrayList to MutableFloatList using Eclipse Collections
        MutableFloatList floatMutableList = floatList.stream()
                .collect(Collectors2
                .collectFloat(Float::floatValue,FloatLists.mutable::empty));
        

        // Convert MutableFloatList to float array
        float[] floatArray = floatMutableList.toArray();

        // Print the array
        for (float f : floatArray) {
            System.out.print(f + " ");
        }
    }
}
